class HelpPopup extends HTMLElement{
    constructor(){
        super();
    }

    connectedCallback(){
        this.render();
    }

    render(){
        this.innerHTML = `
            <link rel="stylesheet" href="./components/help_popup/help_popup.css">
            <div class="help-popup">
                <div class="help-popup-description-container">
                    <span class="help-popup-description">${this.getAttribute("helpdescription")}</span>
                </div>
            </div>
            `
    }
}

customElements.define("sea-help-popup", HelpPopup);